#ifndef _TEST_TPCCM_H_
#define _TEST_TPCCM_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpccm.h"
/*****************************************************************************/

/*****************************************************************************/
/* sim1cm */
int test_simMBF(TPCSTATUS *status);
int test_simC1(TPCSTATUS *status);
int test_simC1_i(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* sim2cms */
int test_simC2(TPCSTATUS *status);
int test_simC2_i(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* sim3cms */
int test_simC3s(TPCSTATUS *status);
int test_simC3vs(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* sim3cmp */
int test_simC3p(TPCSTATUS *status);
int test_simC3vp(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* simkloss */
int test_simC2l(TPCSTATUS *status);
int test_simC2vl(TPCSTATUS *status);
int test_simC3vpKLoss(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* simrtcm */
int test_simRTCM(TPCSTATUS *status);
int test_simSRTM(TPCSTATUS *status);
int test_simTRTM(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* simdicm */
int test_simC3DIvs(TPCSTATUS *status);
int test_simC4DIvp(TPCSTATUS *status);
int test_simC4DIvs(TPCSTATUS *status);
/*****************************************************************************/
/* simdispersion */
int test_simDispersion(TPCSTATUS *status);
/*****************************************************************************/
/* simoxygen */
int test_simOxygen(TPCSTATUS *status);
/*****************************************************************************/
/* convolut */
int test_convolve1D(TPCSTATUS *status);
int test_simIsSteadyInterval(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCCM */
