#ifndef _TEST_TPCCSV_H_
#define _TEST_TPCCSV_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpccsv.h"
/*****************************************************************************/

/*****************************************************************************/
/* csv */
int test_csvInit(int verbose);
int test_csvFree(int verbose);
int test_csvAllocate(int verbose);
int test_csvPutString(int verbose);
int test_csvPutDouble(int verbose);
int test_csvPutInt(int verbose);
int test_csvRowLength(TPCSTATUS *status);
int test_csvIsRegular(TPCSTATUS *status);
int test_csvCell(TPCSTATUS *status);
int test_csvCellReplace(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* csvio */
int test_csvWrite(int verbose);
int test_csvRead(int verbose);
int test_csvPutLine(int verbose);
int test_csvPutLineWithSpaces(int verbose);
/*****************************************************************************/

/*****************************************************************************/
/* csvfind */
int test_csvFindField(TPCSTATUS *status);
int test_csvSearchField(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCCSV */
