/** @file tpcstatist.h
 *  @brief Header file for libtpcstatist.
 *  @details Header file for libtpcstatist.
 *  @author Vesa Oikonen
 */
#ifndef _TPCSTATIST_H_
#define _TPCSTATIST_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
/*****************************************************************************/
#include "tpcextensions.h"
/*****************************************************************************/

/*****************************************************************************/
/* mean */
int statMeanSD(
  double *data, unsigned int n, double *mean, double *sd, unsigned int *vn);
/*****************************************************************************/

/*****************************************************************************/
/* sort */
void statSortInt(int *data, unsigned int n, int order);
void statSortUnsigned(unsigned int *data, unsigned int n, int order);
void statSortDouble(double *data, unsigned int n, int order);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TPCSTATIST */
