/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#ifndef _TEST_TPCIFT_H_
#define _TEST_TPCIFT_H_
/*****************************************************************************/

/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpcift.h"
/*****************************************************************************/

/*****************************************************************************/
/* ift */
int test_iftInit(int verbose);
int test_iftFree(int verbose);
int test_iftPut(int verbose);
int test_iftPutDouble(int verbose);
int test_iftPutInt(int verbose);
int test_iftPutUInt(int verbose);
int test_iftDelete(int verbose);
int test_iftDuplicate(int verbose);
int test_iftReplaceValue(int verbose);
int test_iftReplaceKey(int verbose);
int test_iftDeleteDuplicateKeys(int verbose);
/*****************************************************************************/

/*****************************************************************************/
/* iftio */
int test_iftWrite(int verbose);
int test_iftWriteItem(int verbose);
int test_iftRead(int verbose);
/*****************************************************************************/

/*****************************************************************************/
/* iftfind */
int test_iftFindKey(int verbose);
int test_iftFindPair(int verbose);
int test_iftSearchKey(int verbose);
int test_iftSearchValue(int verbose);
int test_iftFindNrOfKeys(int verbose);
int test_iftDeleteKey(int verbose);
int test_iftGetDoubleValue(int verbose);
/*****************************************************************************/

/*****************************************************************************/
/* iftget */
int test_iftGetFloat(int verbose);
int test_iftGetDouble(int verbose);
int test_iftGetInt(int verbose);
int test_iftGetUInt(int verbose);
int test_iftGetDoubleWithUnit(int verbose);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCIFT */
