#ifndef _TEST_TPCTACMOD_H_
#define _TEST_TPCTACMOD_H_
/*****************************************************************************/

/*****************************************************************************/
#include "tpcclibConfig.h"
/*****************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
/*****************************************************************************/
#include "tpctacmod.h"
/*****************************************************************************/

/*****************************************************************************/
/* litac */
int test_tacInterpolate(TPCSTATUS *status);
int test_tacInterpolateInto(TPCSTATUS *status);
int test_tacInterpolateToEqualLengthFrames(TPCSTATUS *status);
int test_tacFramesToSteps(TPCSTATUS *status);
int create_tac(TAC *tac);
int create_inp1(TAC *tac);
int create_inp2(TAC *tac);
int create_inp3(TAC *tac);
int create_tis1(TAC *tac);
/*****************************************************************************/

/*****************************************************************************/
#if(0)
/* litacrange */
int test_tacInterpolateCheckStart(TPCSTATUS *status);
int test_tacInterpolateCheckEnd(TPCSTATUS *status);
#endif
/*****************************************************************************/

/*****************************************************************************/
/* tacmodelinput */
int test_tacFittime(TPCSTATUS *status);
int test_tacReadModelingData(TPCSTATUS *status);
int test_tacReadReference(TPCSTATUS *status);
int test_tacReadModelingInput(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* tacfitplot */
int test_tacPlotFitSVG(TPCSTATUS *status);
int test_tacPlotLineSVG(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
/* partac */
int test_tacAllocateWithPAR(TPCSTATUS *status);
int test_parAllocateWithTAC(TPCSTATUS *status);
int test_tacToPAR(TPCSTATUS *status);
/*****************************************************************************/

/*****************************************************************************/
#endif /* TEST_TPCTACMOD */
